package com.cms.admin.dao;

import java.util.List;

import org.hibernate.HibernateException;
import org.hibernate.Query;
import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.Transaction;
import org.springframework.beans.factory.annotation.Autowired;

import com.cms.admin.bean.LoginBean;
import com.cms.utils.ConnectionFactory;

public class UserDao {

	private static SessionFactory factory;

	@Autowired
	ConnectionFactory connFactory;

	@SuppressWarnings("unchecked")																														
	public List<LoginBean> readUser(String userName) {
		Session session = null;
		Transaction tx = null;
		List<LoginBean> usrList = null;
		try {
			factory = connFactory.getSessionFactory();
			session = factory.openSession();
			tx = session.beginTransaction();
			
			String sql ="FROM LoginBean ";
			Query query = session.createQuery(sql);
			//query.setString("userName", userName);
			//query.setParameter("userName", userName);
			
			usrList = query.list();
			/*
			 * @SuppressWarnings("unchecked") List<LoginBean> usrList =
			 * query.list(); for (Iterator<LoginBean> iterator =
			 * usrList.iterator(); iterator .hasNext();) { LoginBean bean =
			 * (LoginBean) iterator.next(); System.out.print																												(" User Name: " +
			 * bean.getUserName()); System.out.print("  Pwd: " +
			 * bean.getPassWord()); }
			 */

			tx.commit();
		} catch (HibernateException e) {
			if (tx != null)
				tx.rollback();
			e.printStackTrace();
		} finally {
			session.close();
		}

		return usrList;
	}
}
